#!/bin/csh

set PWD = `pwd`
set EXE = ./write_pendf_xs.exe

set PEN_DIR = ../frendy/pendf

set OUT_DIR = ${PWD}/out

cd ${PWD}/src
./run.sh
cd ${PWD}

mkdir -p ${OUT_DIR}

foreach PENDF( `ls ${PEN_DIR}/*.pendf` )
  set CASE_NAME = `basename ${PENDF} .pendf`
  echo ${CASE_NAME}

  ${EXE}  ${PENDF}

  mv ${PENDF}*.xs  ${OUT_DIR}
end


