#!/bin/csh
#
# PATH for MCNP executables
  setenv  PATH  "./"
#
# Increase the stacksize
  limit  stacksize  unlimited
#
# DATAPATH for MCNP cross-section data
  setenv  DATAPATH  "../mcnp_data"
#
  mcnp6  INP=./inp/hmf001.i            OUT=./out/hmf001_f.out          XSDIR=xsdir.j40a00f.mod
  mcnp6  INP=./inp/hmf001.i            OUT=./out/hmf001_n.out          XSDIR=xsdir.j40a00n.mod
  mcnp6  INP=./inp/hmf001_no_ptable.i  OUT=./out/hmf001_f_no_ptab.out  XSDIR=xsdir.j40a00f.mod
  mcnp6  INP=./inp/hmf001_no_ptable.i  OUT=./out/hmf001_n_no_ptab.out  XSDIR=xsdir.j40a00n.mod
#
