#!/bin/csh

set PWD = `pwd`
set EXE = ./write_ace_xs.exe

set ACE_DIR = ../frendy/ace

set OUT_DIR = ${PWD}/out

cd ${PWD}/src
./run.sh
cd ${PWD}

mkdir -p ${OUT_DIR}

foreach ACE( `ls ${ACE_DIR}/*.ace` )
  set CASE_NAME = `basename ${ACE} .ace`
  if( ${CASE_NAME} == "HinH2O" ) then
    continue
  endif

  echo ${CASE_NAME}

  ${EXE}  ${ACE}

  mv ${ACE}*.xs  ${OUT_DIR}
end


