#!/bin/sh

 rm -rf write_pendf_xs.exe
 rm -rf write_pendf_xs.o

 CPP=g++
 TOP_DIR=../../link_base/frendy_dir/frendy/
 CXXFLAGS="-c -Wall -O2 -I${TOP_DIR}"

 $CPP $CXXFLAGS write_pendf_xs.cpp
 $CPP    $TOP_DIR/CommonUtils/ErrorManager.o_m \
         $TOP_DIR/CommonUtils/DigitAdjuster.o_m \
         $TOP_DIR/CommonUtils/VectorClearer.o_m \
         $TOP_DIR/CommonUtils/VectorCopier.o_m  \
         $TOP_DIR/CommonUtils/CommentRemover.o_m \
         $TOP_DIR/CommonUtils/StringUtils.o_m \
         $TOP_DIR/CommonUtils/FileCommentRemover.o_m \
         $TOP_DIR/CommonUtils/TabInterpolator.o_m \
         $TOP_DIR/CommonUtils/TabAdjuster.o_m \
         $TOP_DIR/EndfUtils/EndfFileReader/EndfFileReader.o_m   \
         $TOP_DIR/EndfUtils/EndfFileReader/MultiParser.o_m      \
         $TOP_DIR/EndfUtils/EndfFileReader/StringConverter.o_m  \
         $TOP_DIR/EndfUtils/OtherUtils/EndfTapeDivider.o_m  \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT451Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT452Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT455Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT456Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT458Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT460Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF02MT151Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF02MT152Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF02MT153Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF07MT002Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF07MT004Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08MT454Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08MT457Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08MT459Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF30MT001Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF30MT002Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF32MT151Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF03Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF04Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF05Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF06Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF09Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF10Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF12Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF13Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF14Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF15Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF23Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF26Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF27Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF28Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF31Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF33Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF34Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF35Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF40Parser.o_m \
         $TOP_DIR/EndfUtils/Endf6Parser/Endf6ParserNoCov.o_m \
         $TOP_DIR/EndfUtils/Endf6Parser/Endf6ParserCov.o_m \
         $TOP_DIR/EndfUtils/Endf6Parser/Endf6Parser.o_m \
         write_pendf_xs.o   \
      -o write_pendf_xs.exe \
      -lboost_timer \
      -lboost_system

